//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
//                                                                             //
//                          ->>> Go Ahead Baby <<<-                            //
//                                                                             //
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
extern string     BuySymbol               = "GBPUSD";
extern string     SellSymbol              = "EURUSD";
extern double     Lots                    = 0.1;
extern double     TP2Close                = 0;
extern bool       SwapMode                = false;
extern int        MagicNo                 = 111;                 
extern string     OrdComment              = "Kiss Me Baby";
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
double TotalCurProfit()
   {   
      double MyCurrentProfit=0;
      for (int cnt = 0 ; cnt < OrdersTotal() ; cnt++)
      {
         OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
         if (OrderMagicNumber()==MagicNo)
         {
            MyCurrentProfit+= OrderProfit();
         }   
      }
      return(MyCurrentProfit);
   }   
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
double TotalSwapnProfit()
   {   
      double MyCurrentProfit=0,CurSwap=0;
      for (int cnt = 0 ; cnt < OrdersTotal() ; cnt++)
      {
         OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
         if (OrderMagicNumber()==MagicNo)
         {
            MyCurrentProfit+= OrderProfit();
            CurSwap+= OrderSwap();
         }   
      }
      return(MyCurrentProfit+CurSwap);
   }   
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
int SellFloating(string symbol)
   {   
      int floating=0;
      for (int cnt = 0 ; cnt < OrdersTotal() ; cnt++)
      {
         OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
         if (OrderSymbol()==symbol && OrderMagicNumber()==MagicNo && OrderType()==OP_SELL)
         {
            floating  += 1;
         }   
      }
      return(floating);
   }   
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//
int BuyFloating(string symbol)
   {   
      int floating=0;
      for (int cnt = 0 ; cnt < OrdersTotal() ; cnt++)
      {
         OrderSelect(cnt,SELECT_BY_POS,MODE_TRADES);
         if (OrderSymbol()==symbol && OrderMagicNumber()==MagicNo && OrderType()==OP_BUY)
         {
            floating  += 1;
         }   
      }
      return(floating);
   }   
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//



int start()
{   
   int ticket1,ticket2;
   
   int SellSP=MarketInfo(SellSymbol, MODE_SPREAD);
   int BuySP=MarketInfo(BuySymbol, MODE_SPREAD);

   double SellPrice=MarketInfo(SellSymbol,MODE_BID);
   double closesell=MarketInfo(SellSymbol,MODE_ASK);

   double BuyPrice=MarketInfo(BuySymbol,MODE_ASK);
   double closebuy=MarketInfo(BuySymbol,MODE_BID);
   
   
   //-*-*-*-*-*-*-*-*-
   if(SellFloating(SellSymbol)<1)
   {RefreshRates();
    ticket1=OrderSend(SellSymbol,OP_SELL,Lots,SellPrice,SellSP,0,0,OrdComment,MagicNo,0,CLR_NONE);
   }
   if(BuyFloating(BuySymbol)<1)
   {RefreshRates();
    ticket2=OrderSend(BuySymbol,OP_BUY,Lots,BuyPrice,BuySP,0,0,OrdComment,MagicNo,0,CLR_NONE);
   }
   //-*-*-*-*-*-*-*-*-
   if(ticket1>0 || ticket2>0){PlaySound("expert.wav");}
   //-*-*-*-*-*-*-*-*- 
   
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-
   for(int i=OrdersTotal()-1;i>=0;i--)
   {
    if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES))
    {
     //*************************
     if (OrderMagicNumber()==MagicNo && OrderSymbol()==SellSymbol && OrderType()==OP_SELL)
     {
      int CSticket=OrderTicket();
     }
     //*************************
     if (OrderMagicNumber()==MagicNo && OrderSymbol()==BuySymbol && OrderType()==OP_BUY)
     {
      int CBticket=OrderTicket();
     }
     //*************************
    }
   }

   bool SResult,BResult;
   if(TotalCurProfit()>TP2Close || (SwapMode==true && TotalSwapnProfit()>TP2Close))
   {
      {
      RefreshRates();
      SResult = OrderClose(CSticket,OrderLots(),closesell,SellSP,CLR_NONE);
      }
      //**************
      {
      RefreshRates();
      BResult = OrderClose(CBticket,OrderLots(),closebuy,BuySP,CLR_NONE);    
      } 
   }
   
   if(SResult || BResult)PlaySound("ok.wav");
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-
   return(0);
  }
//-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-//

